Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600002 - [3.9] containerized installation calls available RPM package tasks
Summary: [3.9] containerized installation calls available RPM package tasks
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.10.z
Assignee: Vadim Rutkovsky
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-11 08:01 UTC by Kenjiro Nakayama
Modified: 2018-07-30 10:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 10:48:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
ansible logs (deleted)
2018-07-11 08:07 UTC, Kenjiro Nakayama
no flags Details

Description Kenjiro Nakayama 2018-07-11 08:01:10 UTC
Description of problem:

- When we set "containerized=true" and ran ansible-playbook /usr/share/ansible/openshift-ansible/playbooks/deploy_cluster.yml, playbook tries to check RPM by repoquery.
- RH docs asks users to register subscription, but when we try to install in disconnected env, users did not prepare yum repository as containerized installation.

Version-Release number of the following components:

  [root@knakayam-ose39-crs ansible]# rpm -q openshift-ansible
  openshift-ansible-3.9.31-1.git.34.154617d.el7.noarch
  [root@knakayam-ose39-crs ansible]# rpm -q ansible
  ansible-2.4.5.0-1.el7ae.noarch
  [root@knakayam-ose39-crs ansible]# ansible --version
  ansible 2.4.5.0
    config file = /etc/ansible/ansible.cfg
    configured module search path = [u'/root/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
    ansible python module location = /usr/lib/python2.7/site-packages/ansible
    executable location = /usr/bin/ansible
    python version = 2.7.5 (default, May 31 2018, 09:41:32) [GCC 4.8.5 20150623 (Red Hat 4.8.5-28)]


How reproducible: 100%

Steps to Reproduce:
1. Set containerized=true in inventory with multiple nodes.
2. Run ansible-playbook /usr/share/ansible/openshift-ansible/playbooks/deploy_cluster.yml after prerequisites.yml

Actual results:
- Get available RPM version is called and each nodes run repoquery.

Expected results:
- Playbook does not check available RPM version when containerized=true

Additional info:
- Attached

Comment 2 Kenjiro Nakayama 2018-07-11 08:07:18 UTC
Created attachment 1458009 [details]
ansible logs

Please check "TASK [openshift_version : Get available RPM version]". The task is always called.

Comment 8 Kenjiro Nakayama 2018-07-30 10:48:27 UTC
Closing this bz, as excluder packages are still necessary for containerized installation, which means that users have to enable the repository. Therefore, it is reasonable that playbook reached out the repository.


Note You need to log in before you can comment on or make changes to this bug.